Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
baidu
/
organic
/
task_post
Setting Baidu Organic SERP Tasks
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/baidu/organic/task_post \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "device": "<string>",
  "os": "<string>",
  "depth": 123,
  "priority": 123,
  "postback_url": "<string>",
  "pingback_url": "<string>",
  "postback_data": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].id": "<string>",
  "tasks[].status_code": 123,
  "tasks[].status_message": "<string>",
  "tasks[].cost": 123,
  "tasks[].result_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyword
string
required

Keyword to search for

location_name
string

Full name of search engine location

location_code
integer

Search engine location code

language_name
string

Full name of search engine language

language_code
string

Search engine language code

device
string

Device type

os
string

Device operating system

depth
integer

Parsing depth

priority
integer

Task priority

postback_url
string

URL for sending task results

pingback_url
string

Notification URL of a completed task

postback_data
string

Postback datatype; possible values: regular, advanced, html

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks_count
integer

The number of tasks in the tasks array

tasks_error
integer

The number of tasks in the tasks array returned with an error

tasks
string[]

Array of task objects

tasks[].id
string

Task identifier in UUID format

tasks[].status_code
integer

Task status code

tasks[].status_message
string

Task status message

tasks[].cost
number

Cost of the task, USD

tasks[].result_count
integer

Number of elements in the result array